clear all;
close all;
[data datatxt]=xlsread('Total Media.xlsx');

date=datenum(datatxt(2:end,1),'dd/mm/yyyy');
tot_share=data(:,9);

%monthly-->quarterly
j=0;
x=NaN(fix(size(data(:,1),1)/3),1);
for i=1:3:size(data(:,1),1)-2
    j=j+1;
    x(j)=mean(data(i:i+2,9));
end

%figure(1)
%plot(x)

ma5=SMA(tot_share,5);
ma3=SMA(tot_share,3);
ma7=SMA (tot_share,7);

%{
figure(2);
plot(date,ma5,'r');
hold on
plot(date,ma3,'g');
hold on
plot (date,ma7,'b');
datetick('x','yyyy','keeplimits');
title('Share of news on Fiscal Consolidation topics')
xlabel('Year');
hold on
plot(date,tot_share,'y')

figure(2)
for i=1:8
    plot(date,SMA(data(:,i),5),'b');
    hold on;
end
%}
figure(3)
plot(date,ma3);
datetick('x','yyyy','keeplimits');
t1=title('Share of news on Fiscal Consolidation topics');
x1=xlabel('Year');
set(x1, 'FontName', 'AvantGarde','FontSize',12);
set(t1, 'FontName', 'AvantGarde','FontSize',14);