'***************************************************************
'*    FORWARD SIMULATION OF  TRUNCATED MA	   *
'***************************************************************
PAGESELECT TIMESERIES 
coef(1000) C1
coef(1000) C2
coef(1000) C3
coef(1000) C4
!year_s= 2013
!year_e = 2007
!start = 1981   

'set variables

%MODEL = "AP_SD2" 		'  EB_AT  	EB_ATHD   EB_ATLD  EB_STY
%LIST_YEARS = "1981 1982 1983 1984 1985 1986 1987 1988 1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013"'  
'%LIST ="AUS AUT BEL CAN  DNK ESP FRA GBR IRL ITA JPN PRT USA DEU"
%LIST ="AUT BEL ESP DNK FRA GBR IRL ITA PRT USA DEU" 
 %VAR_to_PLOT="y_pc"
smpl !start !year_s 
'%VAR_to_PLOT="y_pc" 'to be commented if run from repl_baseline
'set the systems
%sys="sys_"+%VAR_to_PLOT+%MODEL
%sys2="sys2_"+%VAR_to_PLOT+%MODEL

'generating the series
FOR %IDC  {%LIST}
		SMPL @ALL
		GENR IMF_TOT_UT_S{%idc} = IMF_TOT_UT{%idc}
		GENR IMF_TOT_ATT_S{%idc} = IMF_TOT_ATT{%idc}
		GENR IMF_TOT_ATT1_S{%idc} = IMF_TOT_ATT1{%idc}
		GENR IMF_TOT_ATT2_S{%idc} = IMF_TOT_ATT2{%idc}
		'GENR IMF_TOT_ATT3_S{%idc} = IMF_TOT_ATT3{%idc}
		'GENR IMF_TOT_ATT4_S{%idc} = IMF_TOT_ATT4{%idc}
		'GENR IMF_TOT_ATT5_S{%idc} = IMF_TOT_ATT5{%idc}
		GENR IMF_TB_S{%IDC} = IMF_TB{%idc}
		GENR IMF_EB_S{%IDC} = IMF_EB{%idc}
NEXT

FOR %YEAR {%LIST_YEARS}
		GENR DUMMY_S{%YEAR} = DUMMY_{%YEAR}
NEXT

system {%sys}
!J= 0
!I=50
!K=0
FOR %IDC {%LIST}
		{%sys}.append {%VAR_to_PLOT}{%IDC}  =  C1(1+!J)*IMF_TOT_UT_S{%IDC}*IMF_TB_S{%IDC} _
+ C1(2+!J)*IMF_TOT_UT_S{%IDC}*IMF_EB_S{%IDC} _
+ C1(3+!J)*IMF_TOT_ATT_S{%IDC}*IMF_TB_S{%IDC} _
+ C1(4+!J)*IMF_TOT_ATT_S{%IDC}*IMF_EB_S{%IDC} _
+ C1(5+!J)*IMF_TOT_UT_S{%IDC}(-1)*IMF_TB_S{%IDC}(-1) _
+ C1(6+!J)*IMF_TOT_UT_S{%IDC}(-1)*IMF_EB_S{%IDC}(-1) _
+ C1(7+!J)*IMF_TOT_ATT_S{%IDC}(-1)*IMF_TB_S{%IDC}(-1) _
+ C1(8+!J)*IMF_TOT_ATT_S{%IDC}(-1)*IMF_EB_S{%IDC}(-1) _
+ C1(9+!J)*IMF_TOT_UT_S{%IDC}(-2)*IMF_TB_S{%IDC}(-2) _
+ C1(10+!J)*IMF_TOT_UT_S{%IDC}(-2)*IMF_EB_S{%IDC}(-2) _
+ C1(11+!J)*IMF_TOT_ATT_S{%IDC}(-2)*IMF_TB_S{%IDC}(-2) _
+ C1(12+!J)*IMF_TOT_ATT_S{%IDC}(-2)*IMF_EB_S{%IDC}(-2) _
+ C1(13+!J)*IMF_TOT_UT_S{%IDC}(-3)*IMF_TB_S{%IDC}(-3) _
+ C1(14+!J)*IMF_TOT_UT_S{%IDC}(-3)*IMF_EB_S{%IDC}(-3) _
+ C1(15+!J)*IMF_TOT_ATT_S{%IDC}(-3)*IMF_TB_S{%IDC}(-3) _
+ C1(16+!J)*IMF_TOT_ATT_S{%IDC}(-3)*IMF_EB_S{%IDC}(-3) _
+ C1(17+!J)*IMF_TOT_ATT1_S{%IDC}*IMF_TB_S{%IDC} _
+ C1(18+!J)*IMF_TOT_ATT1_S{%IDC}*IMF_EB_S{%IDC} _
+ C1(19+!J)*IMF_TOT_ATT2_S{%IDC}*IMF_TB_S{%IDC} _
+ C1(20+!J)*IMF_TOT_ATT2_S{%IDC}*IMF_EB_S{%IDC}  _
+ C1(21+!J)*dummy_s1983 _
+ C1(22+!J)*dummy_s1984 _
+ C1(23+!J)*dummy_s1985 _
+ C1(24+!J)*dummy_s1986 _
+ C1(25+!J)*dummy_s1987 _
+ C1(26+!J)*dummy_s1988 _
+ C1(27+!J)*dummy_s1989 _
+ C1(28+!J)*dummy_s1990 _
+ C1(29+!J)*dummy_s1991 _
+ C1(30+!J)*dummy_s1992 _
+ C1(31+!J)*dummy_s1993 _
+ C1(32+!J)*dummy_s1994 _
+ C1(33+!J)*dummy_s1995 _
+ C1(34+!J)*dummy_s1996 _
+ C1(35+!J)*dummy_s1997 _
+ C1(36+!J)*dummy_s1998 _
+ C1(37+!J)*dummy_s1999 _
+ C1(38+!J)*dummy_s2000 _
+ C1(39+!J)*dummy_s2001 _
+ C1(40+!J)*dummy_s2002 _
+ C1(41+!J)*dummy_s2003 _
+ C1(42+!J)*dummy_s2004 _
+ C1(43+!J)*dummy_s2005 _
+ C1(44+!J)*dummy_s2006 _
+ C1(45+!J)*dummy_s2007 _
+C1(1+!I) 
'+ C2(24+!J)*IMF_TOT_ATT4_S{%IDC}*IMF_TB_S{%IDC} + C(25+!J)*IMF_TOT_ATT4_S{%IDC}*IMF_EB_S{%IDC} '+ C(26+!J)*IMF_TOT_ATT5_S{%IDC}*IMF_TB_S{%IDC} + C(27+!J)*IMF_TOT_ATT5_S{%IDC}*IMF_EB_S{%IDC}    + C(24+!J)*dummy_s1981    C1(22+!J)*IMF_TOT_ATT3_S{%IDC}*IMF_TB_S{%IDC} + C1(23+!J)*IMF_TOT_ATT3_S{%IDC}*IMF_EB_S{%IDC} +
		!I=!I+1
		'!K=!K+7	
		'!J = !J +7 '***  	'if skipped, then panel restrictions are imposed on the GVAR  
NEXT



system {%sys2}
!J= 0
!I=52
!K=0
FOR %IDC {%LIST}
		{%sys2}.append {%VAR_to_PLOT}{%IDC}  =  C1(1+!J)*IMF_TOT_UT_S{%IDC}*IMF_TB_S{%IDC} _
+ C1(2+!J)*IMF_TOT_UT_S{%IDC}*IMF_EB_S{%IDC} _
+ C1(3+!J)*IMF_TOT_ATT_S{%IDC}*IMF_TB_S{%IDC} _
+ C1(4+!J)*IMF_TOT_ATT_S{%IDC}*IMF_EB_S{%IDC} _
+ C1(5+!J)*IMF_TOT_UT_S{%IDC}(-1)*IMF_TB_S{%IDC}(-1) _
+ C1(6+!J)*IMF_TOT_UT_S{%IDC}(-1)*IMF_EB_S{%IDC}(-1) _
+ C1(7+!J)*IMF_TOT_ATT_S{%IDC}(-1)*IMF_TB_S{%IDC}(-1) _
+ C1(8+!J)*IMF_TOT_ATT_S{%IDC}(-1)*IMF_EB_S{%IDC}(-1) _
+ C1(9+!J)*IMF_TOT_UT_S{%IDC}(-2)*IMF_TB_S{%IDC}(-2) _
+ C1(10+!J)*IMF_TOT_UT_S{%IDC}(-2)*IMF_EB_S{%IDC}(-2) _
+ C1(11+!J)*IMF_TOT_ATT_S{%IDC}(-2)*IMF_TB_S{%IDC}(-2) _
+ C1(12+!J)*IMF_TOT_ATT_S{%IDC}(-2)*IMF_EB_S{%IDC}(-2) _
+ C1(13+!J)*IMF_TOT_UT_S{%IDC}(-3)*IMF_TB_S{%IDC}(-3) _
+ C1(14+!J)*IMF_TOT_UT_S{%IDC}(-3)*IMF_EB_S{%IDC}(-3) _
+ C1(15+!J)*IMF_TOT_ATT_S{%IDC}(-3)*IMF_TB_S{%IDC}(-3) _
+ C1(16+!J)*IMF_TOT_ATT_S{%IDC}(-3)*IMF_EB_S{%IDC}(-3) _
+ C1(17+!J)*IMF_TOT_ATT1_S{%IDC}*IMF_TB_S{%IDC} _
+ C1(18+!J)*IMF_TOT_ATT1_S{%IDC}*IMF_EB_S{%IDC} _
+ C1(19+!J)*IMF_TOT_ATT2_S{%IDC}*IMF_TB_S{%IDC} _
+ C1(20+!J)*IMF_TOT_ATT2_S{%IDC}*IMF_EB_S{%IDC}  _
+ C1(21+!J)*dummy_s1983 _
+ C1(22+!J)*dummy_s1984 _
+ C1(23+!J)*dummy_s1985 _
+ C1(24+!J)*dummy_s1986 _
+ C1(25+!J)*dummy_s1987 _
+ C1(26+!J)*dummy_s1988 _
+ C1(27+!J)*dummy_s1989 _
+ C1(28+!J)*dummy_s1990 _
+ C1(29+!J)*dummy_s1991 _
+ C1(30+!J)*dummy_s1992 _
+ C1(31+!J)*dummy_s1993 _
+ C1(32+!J)*dummy_s1994 _
+ C1(33+!J)*dummy_s1995 _
+ C1(34+!J)*dummy_s1996 _
+ C1(35+!J)*dummy_s1997 _
+ C1(36+!J)*dummy_s1998 _
+ C1(37+!J)*dummy_s1999 _
+ C1(38+!J)*dummy_s2000 _
+ C1(39+!J)*dummy_s2001 _
+ C1(40+!J)*dummy_s2002 _
+ C1(41+!J)*dummy_s2003 _
+ C1(42+!J)*dummy_s2004 _
+ C1(43+!J)*dummy_s2005 _
+ C1(44+!J)*dummy_s2006 _
+ C1(45+!J)*dummy_s2007 _
+ C1(46+!J)*dummy_s2008 _
+ C1(47+!J)*dummy_s2009 _
+ C1(48+!J)*dummy_s2010 _
+ C1(49+!J)*dummy_s2011 _
+ C1(50+!J)*dummy_s2012 _
+ C1(51+!J)*dummy_s2013 _
+C1(1+!I) 
'+ C2(24+!J)*IMF_TOT_ATT4_S{%IDC}*IMF_TB_S{%IDC} + C(25+!J)*IMF_TOT_ATT4_S{%IDC}*IMF_EB_S{%IDC} '+ C(26+!J)*IMF_TOT_ATT5_S{%IDC}*IMF_TB_S{%IDC} + C(27+!J)*IMF_TOT_ATT5_S{%IDC}*IMF_EB_S{%IDC}    + C(24+!J)*dummy_s1981    C1(22+!J)*IMF_TOT_ATT3_S{%IDC}*IMF_TB_S{%IDC} + C1(23+!J)*IMF_TOT_ATT3_S{%IDC}*IMF_EB_S{%IDC} +
		!I=!I+1
		'!K=!K+7	
		'!J = !J +7 '***  	'if skipped, then panel restrictions are imposed on the GVAR  
NEXT




smpl 1981 2007
{%sys}.sur

smpl 1981 2013
{%sys2}.sur

vector coeff= {%sys}.@coefs

{%sys2}.wald C1(1) = coeff(1), C1(2) = coeff(2), C1(3) = coeff(3), C1(4) = coeff(4), C1(5) = coeff(5), C1(6) = coeff(6), C1(7) = coeff(7), C1(8) = coeff(8), C1(9) = coeff(9), C1(10) = coeff(10), C1(11) = coeff(11), C1(12) = coeff(12), C1(13) = coeff(13), C1(14) = coeff(14), C1(15) = coeff(15), C1(16) = coeff(16), C1(17) = coeff(17), C1(18) = coeff(18), C1(19) = coeff(19), C1(20) = coeff(20)


